## python-django-bootstrap-form 3.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/djangobootstrapform.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/djangobootstrapform.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/djangobootstrapform"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/djangobootstrapform"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== example/requirements.txt ===
django>=1.4

## python-django-bootstrap-form 3.1.0

=== debian/changelog ===
python-django-bootstrap-form (3.1.0-6) unstable; urgency=medium

  * Switch from syncdb to migrate, which fixes FTBFS (Closes: #806362).
  * Watch file now using the PyPi redirector.
  * Standards-Version bumped to 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Dec 2015 09:48:16 +0000

python-django-bootstrap-form (3.1.0-5) unstable; urgency=medium

  * Added Python 3 support (Closes: #761294).
  * Added doc-base registration.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Sep 2014 18:20:33 +0800

python-django-bootstrap-form (3.1.0-4) unstable; urgency=medium

  * Added patches for Django 1.7 (Closes: #755656). Thanks to Raphael Hertzog
    for the bug report and patches.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Sep 2014 07:37:50 +0000

python-django-bootstrap-form (3.1.0-3) unstable; urgency=medium

  * Do not package the test folder (Closes: #733729).

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jan 2014 17:46:38 +0800

python-django-bootstrap-form (3.1.0-2) unstable; urgency=medium

  * Added missing python-django build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Dec 2013 01:51:49 +0000

python-django-bootstrap-form (3.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #730463)

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Nov 2013 17:44:33 +0800

=== debian/control ===
Source: python-django-bootstrap-form
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-django,
                     python3-django,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-bootstrap-form.git
Vcs-Git: git://anonscm.debian.org/openstack/python-django-bootstrap-form.git
Homepage: http://github.com/tzangms/django-bootstrap-form

Package: python-bootstrapform
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: generate twitter-bootstrap form output for django form - Python 2.x
 Django bootstrap form generates twitter-bootstrap form output for django form.
 A simple Django template tag to work with twitter bootstrap.
 .
 This package contains the Python 2.x module.

Package: python3-bootstrapform
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: generate twitter-bootstrap form output for django form - Python 3.x
 Django bootstrap form generates twitter-bootstrap form output for django form.
 A simple Django template tag to work with twitter bootstrap.
 .
 This package contains the Python 3.x module.

Package: python-bootstrapform-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: generate twitter-bootstrap form output for django form - doc
 Django bootstrap form generates twitter-bootstrap form output for django form.
 A simple Django template tag to work with twitter bootstrap.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/tzangms/django-bootstrap-form.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_sphinxdoc:
	PYTHONPATH=$(CURDIR) sphinx-build -b html docs debian/python-bootstrapform-doc/usr/share/doc/python-bootstrapform-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-bootstrapform; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-bootstrapform; \
	done
	rm -r $(CURDIR)/debian/python*-bootstrapform/usr/lib/python*/dist-packages/tests/

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e && for pyvers in $(PYTHONS) $(PYTHON3S) ; do \
		python$$pyvers setup.py test ; \
	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.debian.net/django-bootstrap-form/django-bootstrap-form-(.*).tar.gz

## python-django-bootstrap-form 3.2.1

=== debian/changelog ===
python-django-bootstrap-form (3.2.1-2) unstable; urgency=medium

  * Fixed Forwarded fields in Django 1.10 patches.
  * Fixed the fixture html files (Closes: #834469).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jul 2016 09:22:36 +0000

python-django-bootstrap-form (3.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Removed all patches.
  * Added patches (Closes: #828661):
    - django-1.10-fix-settings-in-runtests.py.patch
    - django-1.10-add-Django-1.10-fixtures.html.patch
  * Standards-Version is now 3.9.8 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jul 2016 07:59:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
+               dh-python,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-setuptools,
                python-sphinx,
@@ -11,10 +13,10 @@
                python3-setuptools,
 Build-Depends-Indep: python-django,
                      python3-django,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-bootstrap-form.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-django-bootstrap-form.git
-Homepage: http://github.com/tzangms/django-bootstrap-form
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-django-bootstrap-form.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-django-bootstrap-form.git
+Homepage: https://github.com/tzangms/django-bootstrap-form
 
 Package: python-bootstrapform
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/tzangms/django-bootstrap-form.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+UPSTREAM_GIT := https://github.com/tzangms/django-bootstrap-form.git
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
@@ -14,15 +11,15 @@
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-bootstrapform; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-bootstrapform; \
 	done
-	rm -r $(CURDIR)/debian/python*-bootstrapform/usr/lib/python*/dist-packages/tests/
+	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:

## python-django-bootstrap-form 3.3

=== debian/changelog ===
python-django-bootstrap-form (3.3-1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * New upstream release (Closes: #876974).
  * d/control: Change maintainer to FreedomBox Packaging Team. Many
    thanks to Open Stack team for maintaining so far.
  * Refresh patches:
    - django-1.10-fix-settings-in-runtests.py.patch
  * Remove patches:
    - django-1.10-add-Django-1.10-fixtures.html.patch
  * Standards-Version is now 4.1.2.
  * Build depend on python3-sphinx instead of python-sphinx.
  * Update VCS URLs to point to new FreedomBox repositories.

 -- Federico Ceratto <federico@debian.org>  Sat, 16 Dec 2017 13:09:37 +0000

=== debian/control ===
Source: python-django-bootstrap-form
Section: python
Priority: optional
Maintainer: FreedomBox Packaging Team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Sunil Mohan Adapa <sunil@medhas.org>,
 Federico Ceratto <federico@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-django,
 python3-django,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/freedombox/python-django-bootstrap-form.git/
Vcs-Git: https://anonscm.debian.org/git/freedombox/python-django-bootstrap-form.git
Homepage: https://github.com/tzangms/django-bootstrap-form

Package: python-bootstrapform
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: generate twitter-bootstrap form output for django form - Python 2.x
 Django bootstrap form generates twitter-bootstrap form output for django form.
 A simple Django template tag to work with twitter bootstrap.
 .
 This package contains the Python 2.x module.

Package: python-bootstrapform-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generate twitter-bootstrap form output for django form - doc
 Django bootstrap form generates twitter-bootstrap form output for django form.
 A simple Django template tag to work with twitter bootstrap.
 .
 This package contains the documentation.

Package: python3-bootstrapform
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: generate twitter-bootstrap form output for django form - Python 3.x
 Django bootstrap form generates twitter-bootstrap form output for django form.
 A simple Django template tag to work with twitter bootstrap.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_sphinxdoc:
-	PYTHONPATH=$(CURDIR) sphinx-build -b html docs debian/python-bootstrapform-doc/usr/share/doc/python-bootstrapform-doc/html
+	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' sphinx-build -b html docs \
+		debian/python-bootstrapform-doc/usr/share/doc/python-bootstrapform-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 override_dh_auto_install:

=== debian/watch ===
version=3
https://pypi.debian.net/django-bootstrap-form/django-bootstrap-form-(.*).tar.gz

## python-django-bootstrap-form 3.4

=== debian/changelog ===
python-django-bootstrap-form (3.4-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-bootstrapform-doc: Add Multi-Arch: foreign.

  [ James Valleroy ]
  * Set Standards-Version to 4.6.1
  * Add my copyright years
  * Use runtests.py instead of setup.py to run tests

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 03 Dec 2022 12:39:58 -0500

python-django-bootstrap-form (3.4-6) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Add support for Django 4.0. Drop support for old Django/Python versions.
  * Remove older, unnecessary patch.

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 28 Jun 2022 17:20:27 -0400

python-django-bootstrap-form (3.4-5) unstable; urgency=medium

  * d/control: Mark Multi-Arch for doc package
  * d/gbp.conf: Disable pristine-tar

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 16 Sep 2021 12:20:54 -0400

python-django-bootstrap-form (3.4-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on openstack-pkg-tools.

  [ Salman Mohammadi ]
  * change package name python3-bootstrapform to python3-django-bootstrapform
  * change package python-bootstrapform-doc to python-django-bootstrapform-doc
  * make python3-bootstrapform a transitional package
  * make python-bootstrapform-doc a transitional package

  [ James Valleroy ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.
  * d/watch: Set version to 4
  * d/control: Set standards version to 4.6.0
  * d/control: Set Rules-Requires-Root: no

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 02 Sep 2021 08:53:43 -0400

python-django-bootstrap-form (3.4-3) unstable; urgency=medium

  [ James Valleroy ]
  * Add salsa CI
  * debian: Drop python2 package (Closes: #937705).
  * debian: Switch to pybuild
  * debian: Switch to debhelper-compat=12
  * d/control: Update standards version to 4.4.0
  * debian: Add upstream/metadata
  * d/rules: Remove unneeded overrides
  * d/patches: Add patch to fix tests during build
  * d/rules: Remove dh auto test override
  * d/control: Add myself to uploaders
  * debian: Use upstream tests for autopkgtest

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 22:40:49 +0200

python-django-bootstrap-form (3.4-2) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Add explicit dependency on python3-distuils.

 -- Federico Ceratto <federico@debian.org>  Sun, 25 Mar 2018 18:47:14 +0100

python-django-bootstrap-form (3.4-1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * New upstream release. Add support for Django 2.0 and Python 3.6.

 -- Federico Ceratto <federico@debian.org>  Thu, 15 Mar 2018 19:51:10 +0000

=== debian/control ===
Source: python-django-bootstrap-form
Section: python
Priority: optional
Maintainer: FreedomBox Packaging Team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Sunil Mohan Adapa <sunil@medhas.org>,
 Federico Ceratto <federico@debian.org>,
 James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx
Build-Depends-Indep:
 python3-django,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/freedombox-team/python-django-bootstrap-form
Vcs-Git: https://salsa.debian.org/freedombox-team/python-django-bootstrap-form.git
Homepage: https://github.com/tzangms/django-bootstrap-form
Rules-Requires-Root: no

Package: python-django-bootstrapform-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Replaces: python-bootstrapform-doc (<< 3.4-4)
Breaks: python-bootstrapform-doc (<< 3.4-4)
Description: generate twitter-bootstrap form output for django form - doc
 Django bootstrap form generates twitter-bootstrap form output for django form.
 A simple Django template tag to work with twitter bootstrap.
 .
 This package contains the documentation.

Package: python3-django-bootstrapform
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Replaces: python3-bootstrapform (<< 3.4-4)
Breaks: python3-bootstrapform (<< 3.4-4)
Description: generate twitter-bootstrap form output for django form - Python 3.x
 Django bootstrap form generates twitter-bootstrap form output for django form.
 A simple Django template tag to work with twitter bootstrap.
 .
 This package contains the Python 3.x module.

Package: python3-bootstrapform
Depends: python3-django-bootstrapform, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package for python3-django-bootstrapform
 This is a transitional package and can safely be removed.

Package: python-bootstrapform-doc
Depends: python-django-bootstrapform-doc, ${misc:Depends}
Architecture: all
Section: oldlibs
Multi-Arch: foreign
Description: transitional package for python-django-bootstrapform-doc
 This is a transitional package and can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/tzangms/django-bootstrap-form.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' sphinx-build -b html docs \
		debian/python-django-bootstrapform-doc/usr/share/doc/python-django-bootstrapform-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-django-bootstrapform; \
	done
	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers runtests.py; \
	done

=== debian/tests/control ===
Test-Command: python3 runtests.py
Restrictions: allow-stderr
